Subject: Re: bug#12686: PATCH: ambiguous help doc strings

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Oct 2012 08:32:13 -0400

>> In order to check all the doc strings in Emacs, all the libraries in
>> Emacs need to be loaded.  Unfortunately, Emacs crashes or becomes
>> unusable when doing this.  Some libraries need to be skipped.  This
>> could be because a library is loaded more than once since I use
>> `load-library' rather than `require'.

BTW, a common cause of ambiguity is minor modes which use the same
symbol as a function and as a variable.  But in most such cases, I think
the fix is not to fix the ambiguity but to make
describe-function/variable aware of minor-modes and display them in
a unified way (i.e. display a single *Help* buffer that shows the var
and the fun as a single entity, e.g. giving the args but also the link
to customize).

        Stefan